Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions
QwtCompassMagnetNeedle Class Reference

`#include <qwt_dial_needle.h>`

Inheritance diagram for QwtCompassMagnetNeedle:
[legend]

List of all members.

## Public Types
enum | Style { TriangleStyle, ThinStyle }

## Public Member Functions
| QwtCompassMagnetNeedle (Style=TriangleStyle, const QColor &light=Qt::white, const QColor &dark=Qt::red)
Public Member Functions inherited from QwtDialNeedle
| QwtDialNeedle ()
virtual | ~QwtDialNeedle ()
virtual void | draw (QPainter *painter, const QPointF &center, double length, double direction, QPalette::ColorGroup=QPalette::Active) const
const QPalette & | palette () const
virtual void | setPalette (const QPalette &)

## Protected Member Functions
virtual void | drawNeedle (QPainter *, double length, QPalette::ColorGroup) const
Protected Member Functions inherited from QwtDialNeedle
virtual void | drawKnob (QPainter *, double width, const QBrush &, bool sunken) const

## Detailed Description

A magnet needle for compass widgets.

A magnet needle points to two opposite directions indicating north and south.

The following colors are used:

- QPalette::Light
  Used for pointing south
- QPalette::Dark
  Used for pointing north
- QPalette::Base
  Knob (ThinStyle only)

See also:
  QwtDial, QwtCompass

## Member Enumeration Documentation

enum QwtCompassMagnetNeedle::Style

Style of the needle.

Enumerator:

  TriangleStyle | A needle with a triangular shape.
  ThinStyle | A thin needle.

## Member Function Documentation

void QwtCompassMagnetNeedle::drawNeedle | ( | QPainter * | painter,
|  | double | length,
|  | QPalette::ColorGroup | colorGroup
| ) |  | const
| protected virtual

Draw the needle

Parameters:

  painter | Painter
  length | Length of the needle
  colorGroup | Color group, used for painting

Implements QwtDialNeedle.